<?
session_start();
include "conf.php";
if (ereg("[<>\\/-]",$act) or ereg("[<>\\/-]",$log) or ereg("[<>\\/-]",$boy)) {print "?!"; exit();}
$act=htmlspecialchars($act);
$log=htmlspecialchars($log);
$boy=htmlspecialchars($boy);
if (ereg("[<>\\/-]",$train)) {print "?!"; exit();}

$data = mysql_connect($base_name, $base_user, $base_pass);
mysql_select_db($db_name,$data);
$S = mysql_query("SELECT * FROM users WHERE login='$login'");
$db = mysql_fetch_array($S);
$orden = $db["orden"];
$orden_d = $db["orden"];
$clan_s  = $db["clan_short"];
$clan_f  = $db["clan"];
$travm   = $db["travm"];
$level   = $db["level"];
$room   = $db["room"];
$cure_hp=$db["cure_hp"];
$cure_mn=$db["cure_mn"];
$time_to_cure=$cure_hp-time();
$hhh=$db["hp_all"];
if($db["battle"]==0){
if($time_to_cure>0){
$percent_hp=floor((100*$time_to_cure)/1200);
$percent=100-$percent_hp;
$percent=$percent;
$hp[0]=floor(($hhh*$percent)/100);
$sss="UPDATE users SET hp='$hp[0]' WHERE login='$login'";
$q=mysql_query($sss);
}
else{
$hp[0]=$db["hp_all"];
$SS = mysql_query("UPDATE users SET hp='$hp[0]',cure_hp='0' WHERE login='$login'");
$time_to_cure_f=0;
}
}


	if($travm!=0){
	$travm_i = "<img src='img/travma2.gif' alt='Персонаж повежден'>";
	}
	else{$travm_i="";}

	if($orden_d==1){$orden_dis="Белое братство";}
	else if($orden_d==2){$orden_dis="Темное братство";}
	else if($orden_d==3){$orden_dis="Нейтральное братсво";}
	else if($orden_d==4){$orden_dis="Алхимик";}
	else if($orden_d==5){$orden_dis="Тюремный заключеный";}
	if(empty($clan_s)){$clan="";}
	else{$clan="<img src='img/clan/$clan_s.gif' border=0 alt='$clan_f'>";}
	if(empty($orden_d)){$orden="";}
	else{$orden="<img src='img/orden/$orden_d.gif' border=0 alt='$orden_dis'>";}

?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<meta http-equiv="Content-Language" content="ru">
<META HTTP-EQUIV="Refresh" CONTENT="30"; URL="group_zayavka.php">
<LINK REL=StyleSheet HREF='style.css' TYPE='text/css'>
<title>АнтиБК+</title>
</head>

<BODY bgColor=#e2e0e0 leftMargin=5 topMargin=5 marginheight="5" marginwidth="5">
<div align="left">
<table align=center width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    
<td align=left valign=middle width=50%>
<b><font size="2">
<?
include "functions.php";
 showHP($login); ?>
</font></b>
</td>

    <td  align=right valign=middle><input type=button value="Обновить" onclick="javascript:location.href='boy_bot.php'">
<input type=button value="Вернуться" onclick="javascript:location.href='main.php?act=none'">
</td>
  </tr>
</table>
<table align=center cellSpacing=1 cellPadding=1 width="100%">
  <tr>
  
<?if($room == "Зал войнов" or $room == "Зал войнов 2" or $room == "Зал войнов 3" or $room == "Будуар"){  
print"<TD class=m width=40>&nbsp;<B>Бои:</B></TD>
<TD class=m><A href=\"zayavka.php?boy=phisic\" class=nick>Физические</A></TD>
<TD class=s><A href=\"boy_bot.php\" class=nick>С ботом</A></TD>
<TD class=m><A href=\"group_zayavka.php\" class=nick>Групповые</A></TD>
<TD class=m><A href=\"during.php\" class=nick>Текущие</A></TD>
<TD class=m><A href=\"archive.php\" class=nick>Завершенные</A></TD>

  </tr>
</table>";
}
else {
print"<TD class=m width=40>&nbsp;<B>Бои:</B></TD>
<TD class=m><A href=\"#\" class=nick>Физические</A></TD>
<TD class=m><A href=\"#\" class=nick>С ботом</A></TD>
<TD class=m><A href=\"#\" class=nick>Групповые</A></TD>
<TD class=m><A href=\"#\" class=nick>Текущие</A></TD>
<TD class=m><A href=\"#\" class=nick>Завершенные</A></TD>

  </tr>
</table>
<br><br>
<center><b>Бои проводятся только в залах Бойцовского клуба!</b></center>

</html>";
die();}
?>
</div> 
<?
include "conf.php";
$data = mysql_connect($base_name, $base_user, $base_pass);
mysql_select_db($db_name,$data);

testMove($login);
testBattle($login);
?>
<table width="100%"><td align=right><input type=button value="Обновить" onclick="javascript:location.href='boy_bot.php'"></td></table>
<table width="65%" align=center><td align=center>Бои с ботом - это бои где вы принимаете участие в поединке с ботом вашего уровня. Для того чтобы начать поединок нажмите на кнопку "Начать поединок".<br><small><font color=red>* Бои с ботом проводятся без обмундирования.</font></small></td></table>
<center><br>
<?
if(isset($train)){
$Q_TEAM1=mysql_query("SELECT * FROM team1 WHERE player='$login'");
$Q_TEAM2=mysql_query("SELECT * FROM team2 WHERE player='$login'");
while($D1=mysql_fetch_array($Q_TEAM1)){
        if($D1["player"]==$login){
        print "Вы не можете принять этот вызов! Сначала отзовите свою заявку.<BR>";
        die();
        }
}
while($D2=mysql_fetch_array($Q_TEAM2)){
        if($D2["player"]==$login){
        print "Вы не можете принять этот вызов! Сначала отзовите свою заявку.<BR>";
        die();
        }
}
   if($db["hp_all"]/3 > $db["hp"]){
   print "Вы слишком ослаблены для поединка! Восстановитесь!<BR>";
   die();}
   if($db["level"]>=5){
   echo "К сожалению, эти поединки проводятся до 5-го уровня.";
   die();}
   else{
$who = $_SESSION["login"];
$user_query=mysql_query("SELECT * FROM users WHERE login='$who'");
$db=mysql_fetch_array($user_query);



if($db["amulet"]!=0){unwear_all($who,$db["amulet"]);}
if($db["sergi"]!=0){unwear_all($who,$db["sergi"]);}
if($db["hand_l"]!=0){unwear_all($who,$db["hand_l"]);}
if($db["hand_r"]!=0){unwear_all($who,$db["hand_r"]);}
if($db["armour"]!=0){unwear_all($who,$db["armour"]);}
if($db["poyas"]!=0){unwear_all($who,$db["poyas"]);}
if($db["ring1"]!=0){unwear_all($who,$db["ring1"]);}
if($db["ring2"]!=0){unwear_all($who,$db["ring2"]);}
if($db["ring3"]!=0){unwear_all($who,$db["ring3"]);}
if($db["helmet"]!=0){unwear_all($who,$db["helmet"]);}
if($db["naruchi"]!=0){unwear_all($who,$db["naruchi"]);}
if($db["perchi"]!=0){unwear_all($who,$db["perchi"]);}
if($db["boots"]!=0){unwear_all($who,$db["boots"]);}

    startTrain($_SESSION["login"]);
   }

}else{
    echo "<input type=button value=' Начать поединок ' class=but onClick=\"javascript:location.href='?train=1';\">";
}
?>
</center>